#!/bin/perl

use strict;

#blastn2qrna.pl 
#           takes a foo.blast file and puts it in fasta format ready to be used by qrna.c

if (!@ARGV) { 
        print "usage:     blasn2qrna.pl min_id min_len max_eval <file> \n";
        print "min_id:    minimum identity of blast hits allowed \n";
        print "min_len:   minimum length   of blast hits allowed  \n";
        print "max_eval:  maximum evalue   of blast hits allowed  \n";
        exit;
}

my $scripts  = "/nfs/wol2/people/elena/qrna/scripts";

my $min_id   = shift;
my $min_len  = shift;
my $max_eval = shift;
my $file     = shift;

my $file_blast;
my $file_qrna;

system("$scripts/selectblasthits.pl $min_id $min_len $max_eval $file | $scripts/blast2qrna.pl > $file.q\n");
