#!/bin/perl

# plotxconst.pl
# generates a file to plot with gnuplot a curve of the form y = a in the range [x1,x2]
#


# Print a helpful message if the user provides no input file.
if (!@ARGV) { 
        print "usage: plotyconst.pl a [x1] [x2]\n";
        exit;
}

$a  = shift;
$x1 = shift;
$x2 = shift;

if ($x1 > $x2) { Die; }

print "$x1 \t $a\n";
print "$x2 \t $a\n";
