#!/bin/perl

# plotxy.pl
# generates a file to plot with gnuplot a curve of the form y = m*x + a  in the range [x1,x2]
#


# Print a helpful message if the user provides no input file.
if (!@ARGV) { 
        print "usage: plotxy.pl m a [x1] [x2]\n";
        exit;
}

$m  = shift;
$a  = shift;
$x1 = shift;
$x2 = shift;

#if ($x1 > $x2) { Die; }

print "$x1 \t", $m*$x1+$a,"\n";
print "$x2 \t", $m*$x2+$a,"\n";
